aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-07-10 15:00:00 +0200
committerHarald Welte <laforge@gnumonks.org>2017-07-10 16:15:19 +0000
commit3ea54c8fa92eaa81b1903de89cf2872e75b3c76b (patch)
tree2e4de1357595cd527c4b72a2a7fcecef9365d0b1 /contrib
parent2102a4ae43eb5610c96ac21c77b94f621fa0ac64 (diff)
jenkins.sh: Proper error message if local environment isn't set up
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 068ee34e5..7e7ccf0d0 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,4 +1,11 @@
#!/usr/bin/env bash
+# jenkins build helper script for openbsc. This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
set -ex